<?php

namespace App\Http\Controllers;

use App\Models\Unit;
use Illuminate\Http\Request;

class UnitController extends Controller
{
    public function index()
    {
        $units = Unit::all();
        return view('admin.pages.units', compact('units'));
    }
    public function store(Request $req)
    {
        $req->validate([
            'name' => 'required',
        ]);
        $unit = new Unit();
        $unit->name = $req->name;
        $unit->save();
        return redirect()->back()->with('success', 'berhasil menambah data unit');
    }
    public function destroy($id)
    {
        Unit::destroy($id);
        return redirect()->back()->with('success', 'berhasil menghapus data unit');
    }
    public function devices($id)
    {
        $devices = getDevices(true);
        $unit = Unit::find($id);
        return view('admin.pages.unit-devices', compact('devices', 'unit'));
    }
    public function storeDevices(Request $request, $id)
    {
        try {
            $unit = Unit::findOrFail($id);
            $unit->device_names = $request->device_names;
            $unit->save();
            return redirect()->back()->with('success', 'berhasil menyimpan data wilayah');
        } catch (\Exception $e) {
            return redirect()->back()->with('error', 'gagal menyimpan data wilayah');
        }

    }
}
