<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SensorData extends Model
{
    use HasFactory;

  
    protected $table = 'sensor_data';
    protected $fillable = ['pressure','voltage', 'distance', 'device_name', 'created_at'];
    function deviceLabel(): Attribute
    {
        return new Attribute(
            get: function () {
                return ucwords(str_replace('_', ' ', $this->device_name));
            }
        );
    }

    function appends()
    {
        return [
            'device_label',
        ];
    }

    
}
