@extends('admin.layout.main')

@section('content')
    <main id="main" class="main">
        <div class="pagetitle">
            <h1>Edit User</h1>
        </div>
        <section class="section">
            <form action="{{ route('user.update', $user->id) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="mb-3">
                    <label for="name" class="form-label">Nama</label>
                    <input type="text" name="name" class="form-control" id="name" value="{{ $user->name }}">
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" name="email" class="form-control" id="email" value="{{ $user->email }}">
                </div>
                <div class="mb-3">
                    <label for="unit_id" class="form-label">Unit</label>
                    <select name="unit_id" class="form-control" id="unit_id" required>
                        <option disabled value="">Pilih Unit</option>
                        @foreach ($units as $unit)
                            <option @if ($unit->id == $user->unit_id) selected @endif value="{{ $unit->id }}">
                                {{ $unit->name }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="mb-3">
                    <label for="role" class="form-label ">Role</label>
                    <select name="role" class="form-select" id="role">
                        <option value="" disabled {{ $user->role ? '' : 'selected' }}>Pilih Role</option>
                        <option value="admin" {{ $user->role == 'admin' ? 'selected' : '' }}>Admin</option>
                        <option value="user" {{ $user->role == 'user' ? 'selected' : '' }}>User</option>
                    </select>
                </div>

                <button type="submit" class="btn btn-primary">Update</button>
            </form>
        </section>
    </main>
@endsection
