@extends('admin.layout.main')

@section('content')
    <main id="main" class="main">

        <div class="pagetitle">
            <h1>{{ ucwords($user->name) }}</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Halaman Utama</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('users.index') }}">User</a></li>
                    <li class="breadcrumb-item">Device</li>
                </ol>
            </nav>
        </div>

        <section class="section">
            @session('success')
                <div class="alert alert-primary">{{ session()->get('success') }}</div>
            @endsession

            <div class="card">
                <form method="post">
                    @csrf
                    <div class="card-header">Manajemen Device</div>
                    <div class="card-body p-4">
                        <div class="row">
                            @php
                                $userDevices = $user->getDevices();
                            @endphp
                            @foreach ($devices as $device)
                                <div class="col-lg-4 col-md-6 col-12">
                                    <div class="d-flex align-items-center mb-2">
                                        <input type="checkbox" name="devices[]" value="{{ $device }}"
                                            class="form-checkbox mr-3" @if (in_array($device, $userDevices)) checked @endif
                                            id="{{ $device }}" style="margin-right: 10px;">
                                        <label for="{{ $device }}">
                                            {{ $device }}
                                        </label>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>
                </form>
            </div>
        </section>
    </main>
@endsection
