<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Ganti Kata Sandi</title>
    <link rel="icon" href="{{ asset('assets/logo.jpg') }}" type="image/x-icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <link rel='stylesheet' href='//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css'>
    <link rel="stylesheet" href="{{ asset('assets/style.css') }}">
</head>
<body>
    <div class="login-box">
        <div class="lb-header">
            <a href="#" class="active" id="change-password-box-link">Ganti Kata Sandi Anda</a>
        </div>
        <form action="{{ route('change-password-proses') }}" class="email-login" method="post">
        @csrf
            <div class="u-form-group">
                <input type="email" name="email" placeholder="Email" />
            </div>
            @error('email')
            <small>{{ $message }}</small>
            @enderror

            <div class="u-form-group">
                <input type="password" name="new_password" placeholder="Kata Sandi Baru" />
            </div>
            @error('new_password')
            <small>{{ $message }}</small>
            @enderror

            <div class="u-form-group">
                <input type="password" name="new_password_confirmation" placeholder="Konfirmasi Kata Sandi Baru" />
            </div>
            @error('new_password_confirmation')
            <small>{{ $message }}</small>
            @enderror

            <div class="u-form-group">
                <button>Ganti Kata Sandi</button>
            </div>
            <div class="u-form-group">
                <a href="{{ route('login') }}" class="forgot-password">Masuk</a>
            </div>
        </form>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src='//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
    <script src="{{ asset('assets/script.js') }}"></script>
    @if($message = Session::get('failed'))
    <script>
        Swal.fire({
            icon: "error",
            title: "Gagal!",
            text: "{{ $message }}",
        });
    </script>
    @endif
    @if($message = Session::get('success'))
    <script>
        Swal.fire({
            position: "top-end",
            icon: "success",
            title: "{{ $message }}",
            showConfirmButton: false,
            timer: 1500 });
    </script>
    @endif
</body>
</html>
