<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\RegisterController;
use App\Http\Controllers\SensorController;
use App\Http\Controllers\SensorDataController;
use App\Http\Controllers\UnitController;
use App\Http\Controllers\UserController;
use Illuminate\Routing\Route as RoutingRoute;
use Illuminate\Support\Facades\Route;
use SebastianBergmann\CodeCoverage\Report\Html\Dashboard;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return redirect('/login');
});

Route::get('/login', function () {
    return view('login');
});
Route::get('/login', [AuthController::class, 'index'])->name('login');
Route::post('/login-proses', [AuthController::class, 'login_proses'])->name('login-proses');
Route::get('/gantikatasandi', [AuthController::class, 'ganti'])->name('gantisandi');
Route::post('/change-password-proses', [AuthController::class, 'changePasswordProses'])->name('change-password-proses');


Route::post('/logout', [AuthController::class, 'logout'])->name('logout');

Route::get('/coba', [RegisterController::class, 'coba'])->name('coba');
Route::get('/jarak', [RegisterController::class, 'jarak'])->name('jarak');
Route::get('/kawedanan', [RegisterController::class, 'kawedanan'])->name('kawedanan');
Route::get('/klampisan_atas', [RegisterController::class, 'klampisan_atas'])->name('klampisan_atas');
Route::get('/klampisan_bawah', [RegisterController::class, 'klampisan_bawah'])->name('klampisan_bawah');
//mengambil data seminggu
Route::get('/week_klampisan_bawah', [RegisterController::class, 'week_klampisan_bawah'])->name('week_klampisan_bawah');
Route::get('/day_klampisan_bawah', [RegisterController::class, 'day_klampisan_bawah'])->name('day_klampisan_bawah');
Route::get('/month_klampisan_bawah', [RegisterController::class, 'month_klampisan_bawah'])->name('month_klampisan_bawah');

Route::get('/week_klampisan_atas', [SensorController::class, 'week_klampisan_atas'])->name('week_klampisan_atas');
Route::get('/day_klampisan_atas', [SensorController::class, 'day_klampisan_atas'])->name('day_klampisan_atas');
Route::get('/month_klampisan_atas', [SensorController::class, 'month_klampisan_atas'])->name('month_klampisan_atas');

Route::get('/Gandul', [SensorController::class, 'Gandul'])->name('Gandul');
Route::get('/week_Gandul', [SensorController::class, 'week_Gandul'])->name('week_Gandul');
Route::get('/day_Gandul', [SensorController::class, 'day_Gandul'])->name('day_Gandul');
Route::get('/month_Gandul', [SensorController::class, 'month_Gandul'])->name('month_Gandul');

Route::get('/Bakalan', [SensorController::class, 'Bakalan'])->name('Bakalan');
Route::get('/week_Bakalan', [SensorController::class, 'week_Bakalan'])->name('week_Bakalan');
Route::get('/day_Bakalan', [SensorController::class, 'day_Bakalan'])->name('day_Bakalan');
Route::get('/month_Bakalan', [SensorController::class, 'month_Bakalan'])->name('month_Bakalan');

Route::get('/Bauresan', [SensorController::class, 'Bauresan'])->name('Bauresan');
Route::get('/week_Bauresan', [SensorController::class, 'week_Bauresan'])->name('week_Bauresan');
Route::get('/day_Bauresan', [SensorController::class, 'day_Bauresan'])->name('day_Bauresan');
Route::get('/month_Bauresan', [SensorController::class, 'month_Bauresan'])->name('month_Bauresan');

Route::get('/Grobog', [SensorController::class, 'Grobog'])->name('Grobog');
Route::get('/week_Grobog', [SensorController::class, 'week_Grobog'])->name('week_Grobog');
Route::get('/day_Grobog', [SensorController::class, 'day_Grobog'])->name('day_Grobog');
Route::get('/month_Grobog', [SensorController::class, 'month_Grobog'])->name('month_Grobog');


Route::get('/Induk_pressure', [SensorController::class, 'Induk_pressure'])->name('Induk_pressure');
Route::get('/Induk', [SensorController::class, 'Induk'])->name('Induk');
Route::get('/week_Induk', [SensorController::class, 'week_Induk'])->name('week_Induk');
Route::get('/day_Induk', [SensorController::class, 'day_Induk'])->name('day_Induk');
Route::get('/month_Induk', [SensorController::class, 'month_Induk'])->name('month_Induk');




Route::middleware('auth','isAdmin')->group(function () {
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    ;

    Route::get('/unit/{deviceName}', [DashboardController::class, 'showUnit'])->name('admin.pages.unit');
    Route::get('/profil', [UserController::class, 'profil'])->name('profil');
    Route::post('/profile_update', [UserController::class, 'updateProfile'])->name('profile.update');
    Route::post('/update-password', [UserController::class, 'updatePassword'])->name('update.password');


    Route::get('/sensors/{deviceName}', [SensorDataController::class, 'coba'])->name('admin.pages.dataprint');
    Route::get('/export', [SensorDataController::class, 'export'])->name('exportdata');



    Route::get('/daftarpegawai', [RegisterController::class, 'index'])->name('registerpegawai');
    Route::post('/daftar-proses', [RegisterController::class, 'store'])->name('register.store');

    Route::prefix('/sensor-data')->group(function () {
        Route::get('/', [DashboardController::class, 'ambilsensor'])->name('sensor.data');
        Route::get('/getSensorData', [DashboardController::class, 'getDistanceData'])->name('sensor.data');
        Route::get('/filter', [SensorDataController::class, 'filter']);
        Route::get('/{device_name}', [DashboardController::class, 'ambilsensor'])->name('sensor.data.device');
    });

    Route::get('/users/{id}/devices', [UserController::class, 'devices'])->name('user.devices');
    Route::post('/users/{id}/devices', [UserController::class, 'saveDevices'])->name('user.devices');

    Route::get('/users/{id}/edit', [UserController::class, 'edit'])->name('user.edit');
    Route::delete('/users/{id}', [UserController::class, 'destroy'])->name('user.destroy');
    Route::put('/users/{id}', [UserController::class, 'update'])->name('user.update');
    Route::get('/users', [UserController::class, 'index'])->name('users.index');
    ;
    Route::get('/gauge', [SensorController::class, 'getSensorData'])->name('gauge');

    Route::get('/unit/{id}/devices', [UnitController::class, 'devices'])->name('unit.devices');
    Route::post('/unit/{id}/devices', [UnitController::class, 'storeDevices'])->name('unit.devices');
    Route::resource('/unit', UnitController::class, ['only' => ['index', 'store', 'destroy']])->names('unit');
});
